Circle = Core.class()

function Circle:init(name, world, radius)
	self.world = world
	self.shape = TCircle.new(0, 0, radius)
	self.shape.name = name
	self.world:add(self.shape)
end

---------------------
------ OVERIDE ------
---------------------
function Circle:setPtr(ptr) self.shape.ptr = ptr end

function Circle:setPosition(x, y) 
	self.world:update(self.shape, x, y)
end

function Circle:setX(x) 
	self.world:update(self.shape, x, self:getY())
end

function Circle:setY(y) 
	self.world:update(self.shape, self:getX(), y)
end
function Circle:rotateAround(angle, x, y)
	self.shape.pos:rotateAround(angle, {x=x, y=y})
	self.world:update(self.shape, self.shape.pos.x, self.shape.pos.y)
end

function Circle:getPosition() return self.shape.pos.x, self.shape.pos.y end

function Circle:getX() return self.shape.pos.x end

function Circle:getY() return self.shape.pos.y end

function Circle:getRotation() return self.shape.rotation end