Console = Core.class(Sprite)

function Console:init(maxH)
	self.maxh = maxH
	self.gap = 4
	self.fields = {}
	
	local y = 0
	for i = 1, self.maxh do
		local tf = TextField.new(nil, "q|I")
		tf:setSample("q|I")
		y -= tf:getHeight() + self.gap
		tf:setY(y)
		tf:setText("")
		self:addChild(tf)
		--rawset(self.fields, i, tf)
		self.fields[i] = tf
	end
end

function Console:print(...)
	for i = self.maxh, 2, -1 do
		self.fields[i]:setText(self.fields[i-1]:getText())
	end
	
	local t = {...}
	table.foreach(t, function(k,v) t[k] = tostring(v) end)
	local str = table.concat(t, ", ")
	self.fields[1]:setText(str)
end